| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Properties | Private Attributes | List of all members
IG.Num.OptFileAnalysisServer Class Reference

File analysis server. Performs direct analyses by request. More...

Inheritance diagram for IG.Num.OptFileAnalysisServer:
[legend]
Collaboration diagram for IG.Num.OptFileAnalysisServer:
[legend]

## Public Member Functions
| OptFileAnalysisServer (string directoryPath, IAnalysis analysis)

## Properties
object | Lock`[get]`
| This object's central lock object to be used by other object. Do not use this object for locking in class' methods, for this you should use InternalLock. More...
OptFileManager | FileManager`[get, protected set]`
| Optimization client/server file manager used by the current analysis server. More...
AnalysisResults | AnalysisPoint`[get, protected set]`
| Last analysis request or results. More...
IAnalysis | Analysis`[get, protected set]`
| Optimization analysis object used to calculate response function (objective and constraint functions and their gradients). More...
Properties inherited from IG.Lib.ILockable
object | Lock`[get]`

## Private Attributes
object | _mainLock = new object()
OptFileManager | _fileManager
AnalysisResults | _analysisPoint
IAnalysis | _analysis

## Detailed Description

File analysis server. Performs direct analyses by request.

WARNING: This module is taken from Dragonfly opt. server and adapted for purpose of some projects. If necessary to further develop, synchronize (and possibly merge) with Dragonfly, otherwise there will be problems with consistent development of both branches. WARNING: Only a part of file analysis server is taken from Dragonfly, be careful with sync. (the best way is to do modifications in Dragonfly's code and then transfer them to IGLib).

$A Igor jul08 Mar11;

## Constructor & Destructor Documentation

IG.Num.OptFileAnalysisServer.OptFileAnalysisServer | ( | string | directoryPath,
|  | IAnalysis | analysis
| ) |  |
| inline

## Member Data Documentation

object IG.Num.OptFileAnalysisServer._mainLock = new object()
| private

OptFileManager IG.Num.OptFileAnalysisServer._fileManager
| private

AnalysisResults IG.Num.OptFileAnalysisServer._analysisPoint
| private

IAnalysis IG.Num.OptFileAnalysisServer._analysis
| private

## Property Documentation

object IG.Num.OptFileAnalysisServer.Lock
| get

This object's central lock object to be used by other object. Do not use this object for locking in class' methods, for this you should use InternalLock.

OptFileManager IG.Num.OptFileAnalysisServer.FileManager
| get protected set

Optimization client/server file manager used by the current analysis server.

AnalysisResults IG.Num.OptFileAnalysisServer.AnalysisPoint
| get protected set

Last analysis request or results.

IAnalysis IG.Num.OptFileAnalysisServer.Analysis
| get protected set

Optimization analysis object used to calculate response function (objective and constraint functions and their gradients).

The documentation for this class was generated from the following file:

- igbase/optimization/fileserver/OptFileAnalaysisServer.cs